### Function

# Peas FactoryFunc

#### Declaration

    GObject*
    (* PeasFactoryFunc) (
      guint n_parameters,
      GParameter* parameters,
      gpointer user_data
    )

#### Description [src]

A `PeasFactoryFunc` is a factory function which will instanciate a new extension of a given type. `g_object_newv()` is such a function.

It is used with `peas_object_module_register_extension_factory()`.

#### Parameters

`n_parameters`

  Type: `guint`

  The number of paramteters.

`parameters`

  Type: An array of `GParameter`

  The parameters.

  The length of the array is specified in the `n_parameters` argument.
  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  Optional data to be passed to the function, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GObject`

The created object.

The caller of the function takes ownership of the data, and is responsible for freeing it.